#!/bin/bash
#
# Distributed under the terms of the GNU public licence.
# http://www.gnu.org/licenses/gpl.txt
# Copyright 2008 Chris Clark

cd $HOME/Desktop

FirstRun=0
if test -z `ls SkinsInBin` ; then FirstRun=1 ; fi

if [ $FirstRun -eq 1 ]; then
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+==========================================================+"
echo "|                                                          |"
echo "|                                                          |"
echo "|                    MacSkinSorter                         |"  
echo "|                                                          |"
echo "|    Extract and sort BMPs, CMXs & SKNs: AUTOMATICALLY!!   |"
echo "|                                                          |"
echo "|                                                          |"
echo "+==========================================================+"

sleep 7
mkdir $HOME/Desktop/SkinsInBin
mkdir $HOME/Desktop/SkinsOutBin

cd $HOME/Desktop/SkinsOutBin

rm -rf BMPs;   mkdir BMPs
rm -rf CMXnSKNs;  mkdir CMXnSKNs
rm -rf Zips;   mkdir Zips
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"


echo "+===============================================================+"
echo "|                                                               |"
echo "| Your SkinsInBin and SkinsOutBin folders have been created     |"
echo "| on your desktop.                                              |" 
echo "|                                                               |"
echo "|                                                               |"
echo "| Close this window, and put your downloaded zips in the        |"
echo "| \"SkinsInBin\" folder.                                          |"
echo "|                                                               |"

echo "|Double click the MacSkinSorter icon to process your downloads. |"
echo "|                                                               |"
echo "+===============================================================+"

fi
[ $FirstRun -eq 1 ] && exit

cd $HOME/Desktop/SkinsInBin

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "|   extracting Zip files.....                                   |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
find . -iname "*zip" -exec unzip -o {} \;
sleep 4
echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting BMP files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*bmp" -exec cp -v {} $HOME/Desktop/SkinsOutBin/BMPs \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting CMX files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*cmx" -exec cp -v {} $HOME/Desktop/SkinsOutBin/CMXnSKNs \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting SKN files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4
find . -iname "*skn" -exec cp -v {} $HOME/Desktop/SkinsOutBin/CMXnSKNs \;

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| sorting Zip files.....                                        |"
echo "|                                                               |"
echo "+===============================================================+"
sleep 4

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "done."
echo " "
find .  -iname "*zip" -exec cp -v {} $HOME/Desktop/SkinsOutBin/Zips \;
[ $FirstRun -eq 0 ] && echo "deleting SkinsInBin" ; rm -rf $HOME/Desktop/SkinsInBin
sleep 1

echo -e "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"
echo "+===============================================================+"
echo "|                                                               |"
echo "| Done! :) Your sorted files are in \"SkinsOutBin\"                |"
echo "|                                                               |"
echo "+===============================================================+"

